This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 165870 - Right (bottom) panel-hiding button missing on kasbar - makes retieving hidden kasbar impossible
Right (bottom) panel-hiding button missing on kasbar - makes retieving hidden...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-12 20:34 EDT by William W. Austin
Modified: 2008-05-06 11:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:30:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Kasbar with no arrows (36.35 KB, image/png)
2005-08-14 13:52 EDT, William W. Austin
no flags Details
karbar with no arrows (36.35 KB, image/png)
2005-08-14 13:56 EDT, William W. Austin
no flags Details
kasbar with left arrow only (41.93 KB, image/png)
2005-08-14 13:57 EDT, William W. Austin
no flags Details
kasbar with left arrow only (41.93 KB, image/png)
2005-08-14 13:57 EDT, William W. Austin
no flags Details
kasbar with right arrow only (42.25 KB, image/png)
2005-08-14 13:59 EDT, William W. Austin
no flags Details

  None (edit)
Description William W. Austin 2005-08-12 20:34:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
Yesterday I installed the latest updates to kde (kdebase-3.4.2-0.fc3.2
 et al) on 2 different boxen. (Dumb idea on my part, I know...)

NOTE: in the following you can also substitute "top" for "left" and "bottom" for "right" and the same thing still applies.

The right arrow cannot now be activated on the kasbar.  As a result if you use the left arrow to hide the kasbar, then the kasbar cannot be retrieved without (a) editing ~/.kde/share/config/kickerrc and changing the following
>[Extension_1]
> ConfigFile=kasbar_panelextensionrc
> DesktopFile=kasbarextension.desktop
> UserHidden=1
to read:
> [Extension_1]
> ConfigFile=kasbar_panelextensionrc
> DesktopFile=kasbarextension.desktop
> UserHidden=0
(change UserHidden to 0).

Then exit X11 and restart it.

This is not really an acceptable workaround. :-(

Version-Release number of selected component (if applicable):
kdebase-3.4.2-0.fc3.2

How reproducible:
Always

Steps to Reproduce:
1.startx (assuming kde environment)
2.if no kasbar add one (configure panel>Add to Panel>Panel>Kasbar)
3.Try to add left and right hiding arrows to kasbar
4.Only left arrow gets created
5.Hide using left arrow
  

Actual Results:  You cannot now retrieve the kasbar

Expected Results:  Should be able to click on missing right arrow and retrieve ("un-hide") the kasbar

Additional info:

Can't find any error messages.  Same exact config worked fine (unchanged) with previous kde rel., also works find on fc3 box which hasn't yet been upgraded.
Comment 1 William W. Austin 2005-08-13 11:34:05 EDT
When I filed this yesterday, I forgot to include two other oddities which now
occur with the kasbar.

The far right-hand entry in the kasbar is truncated (no matter what it is) and
is "squashed" to be only about 2/3 the width of the other entires there (which,
I suspecct, may be why the hiding arrow on the right doesn't show up). 
Substitute "bottom" for "right" if the arrangement is vertical.

Second, the behavior is a little "odd". (this is with a horizontal orientation.
 If you are vertical, swap vertical for horizontal and keep going...)  Normally
if you click on an icon in the kasbar and there are multiple iconized instances
of, say, xterm there, up pops a vertical row of icons and you can pick the one
you want.  This is normally attached to the kasbar.  Now it pops up somewhere
above the kasbar - sometimes attached and somtimes far from it (but in line with
it).  Just now I have a row of 5 firefox icons halfway up the screen, not
attached to the kasbar.  There is a still a small up arrow in the icon directly
on the kasbar; however it is now not possible to get rid of the row of ions
which sticks up (currently in the middle of my screen) by clicking on it - you
have to wait for a timeout, then it goes away.

This morning as a test, I installed FC3 on a laptop (which I'm about to turn in,
so I didn't mind losing what was on there anyway) and then did all of the
updates as per everything on download.fedora.redhat.com in the
/pub/fedora/linux/core/updates/3 directory.  (Well, updates for everything I
have installed there, anyway...).  Then I logged in as root and checked - the
exact same behavior as described in the above bug plus this addendum still
applies.  Definitely repeatable.
Comment 2 William W. Austin 2005-08-14 13:52:25 EDT
Created attachment 117718 [details]
Kasbar with no arrows

Kasbar with no arrows, captured with import
ALL icons OK
Comment 3 William W. Austin 2005-08-14 13:56:04 EDT
Created attachment 117719 [details]
karbar with no arrows

kasbar with no arrows (base case)
everything is ok
Comment 4 William W. Austin 2005-08-14 13:57:23 EDT
Created attachment 117720 [details]
kasbar with left arrow only

kasbar image with left arrow displayed.
Rightmost icon is now truncated.
Image captured with "import" from imagemagick
Comment 5 William W. Austin 2005-08-14 13:57:36 EDT
Created attachment 117721 [details]
kasbar with left arrow only

kasbar image with left arrow displayed.
Rightmost icon is now truncated.
Image captured with "import" from imagemagick
Comment 6 William W. Austin 2005-08-14 13:59:15 EDT
Created attachment 117722 [details]
kasbar with right arrow only

kasbar with right arrow only (failed)
Note that image file preserves background for reserved space for missing arrow,
and that icon on right is cut off
Comment 7 William W. Austin 2005-08-14 14:04:59 EDT
I have been "debugging" (will not have time to do a full rebuild of kde with
debugging code added (by me) around the kasbar stuff for another week or so... sigh.

I did notice that the arrow can be made visible briefly - perhaps 0.15 to 0.25
seconds under 2 conditions.

With no right (bottom) arrow present, add it.  It flashes briefly, then disappears.

Resize the kasbar icons with the arrow already supposedly displayed (but
invisible), say from medium to enormous.  Again it flashes briefly (shorter than
in adding) and again disappears.

The four attachments above show the 4 possible states: no hide arrows, left,
right, both.

Hope this helps.
Comment 8 Matthew Miller 2006-07-10 18:56:10 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 9 William W. Austin 2006-08-07 08:10:29 EDT
The same problem continues in FC4 (multiple machines to check this on) and on
FC5 (I did the install on my laptop last night and it's still there).
Comment 10 William W. Austin 2006-08-07 08:12:09 EDT
Oops. Forgot to change to FC5 - just did so.
Comment 11 petrosyan 2008-03-10 11:42:09 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 7 or
Fedora 8?
Comment 12 Bug Zapper 2008-04-03 22:00:27 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 13 Bug Zapper 2008-05-06 11:30:57 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.